Jupyter Notebook中的适用于Python 3的ModuleNotFoundError,但不适用于Python 2(Mac OSX)

Data2Dollars

我正在Mac(OSX High Sierra 10.13.6)上的Python 3 Jupyter Notebook中尝试使用Pandas,但是在运行时出现以下错误import pandas as pd

ModuleNotFoundError:没有名为“ pandas”的模块

我对Numpy和其他Python包有同样的问题。

当我在同一系统上的Python 2 Jupyter Notebook中尝试相同的操作时,不会发生此问题。

请查看以下屏幕截图的链接:

Jupyter Notebook Python 3导入熊猫错误

Jupyter Notebook Python 2导入熊猫没有错误

提前致谢。

Data2Dollars

我似乎已通过安装最新版本的Anaconda(Anaconda 3)解决了我的问题。我不知道这是最精确还是最优雅的解决方案(似乎有点像重建房屋来修复破损的管道),但它确实有效。

如果有人有其他建议,我很高兴听到。

谢谢。

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章

更改 tkinter 中按钮的颜色适用于 Windows,但不适用于 Mac OSX

适用于Python 2但不适用于Python 3的Python子进程PIPE

nbconvert --to pdf可以使用,但不适用于Jupyter Notebook菜单(Python)

python regex适用于regex101但不适用于python2

适用于Mac的C ++ Jupyter内核

Jupyter Notebook找不到适用于python 3.6的模块

iframe中的PDF-适用于Firefox,但不适用于OSX上的Chrome

maplotlib.pyplot.show() 适用于 python 但不适用于 jupyter 控制台

Scikit-learn仅适用于python 2,而不适用于python 3

windows API 不适用于 python3,但适用于 python 2

适用于macOS上Python 3.7的Anaconda 2019.03上Jupyter Notebook中的内核错误

VSCode自动补全不适用于Jupyter Notebook

pxd相对cimport适用于language_level 2,但不适用于3

适用于OSX的Python evdev

Android 设备的 autoGrantPermissions 适用于 Windows、Linux,但不适用于 OSX

单声道不适用于OSX

在 c 中使用 python api 不适用于 mac

Forticlient VPN SSL DNS 适用于 Mac,但不适用于 Ubuntu

使用Docker + Kitura,但不适用于Mac

条件变量程序适用于2个线程,但不适用于3个线程

适用于Mac OSX的c ++中的变体类型结构(oaidl.h)?

文件上传适用于邮递员,但不适用于angular2

Websocket适用于EC2 URL,但不适用于ElasticBeanstalk URL

PHP exec适用于apache2但不适用于nginx

适用于Mac的Python Winsound

在Mac上安装适用于python3的spyder

python简单的身份验证请求不适用于osx

CORS Cookie可用于获取请求,但不适用于Angular2中的发布

Python中的Selenium预期条件适用于Firefox,但不适用于Chrome